:_mod-docs-content-type: PROCEDURE
:parent-context: {context}

[id=update-downgrade-ipa_{context}]

= Updating and downgrading IdM

== Updating IdM packages

[role="_abstract"]
You can use the `{PackageManagerCommand}` utility to update the {IPA} (IdM) packages on the system.

.Prerequisites

* Ensure you have applied all previously released errata relevant to the RHEL system. For more information, see the link:https://access.redhat.com/articles/11258[How do I apply package updates to my RHEL system?] KCS article.


.Procedure

* Select one of the following options:

+
--
** To update all IdM packages that are relevant for your profile and that have updates available:

+
[literal,subs="+quotes,attributes,verbatim"]
....
# *{PackageManagerCommand} upgrade ipa-**
....


+
** To install or update packages to match the latest version available for your profile from any enabled repository:

+
[literal,subs="+quotes,attributes,verbatim"]
....
# *{PackageManagerCommand} distro-sync ipa-**
....
--

After you update the IdM packages on at least one server, all other servers in the topology receive the updated schema, even if you do not update their packages. This ensures that any new entries which use the new schema can be replicated among the other servers.

[WARNING]
====
When updating multiple IdM servers, wait at least 10 minutes after updating one server before updating another server. However, the actual time required for a server's successful update depends on the topology deployed, the latency of the connections, and the number of changes generated by the update.

When two or more servers are updated simultaneously or with only short intervals between the upgrades, there is not enough time to replicate the post-upgrade data changes throughout the topology, which can result in conflicting replication events.
====

ifeval::[{ProductNumber} == 8]
IMPORTANT: Upgrade to the next version only. For example, if you want to upgrade to IdM for RHEL 8.8, upgrade from IdM for RHEL 8.7. Upgrading from earlier versions can cause problems. 
endif::[]

ifeval::[{ProductNumber} == 9]
IMPORTANT: Upgrade to the next version only. For example, if you want to upgrade to IdM for RHEL 9.4, upgrade from IdM for RHEL 9.3. Upgrading from earlier versions can cause problems. 
endif::[]

[role="_additional-resources"]
.Additional resources
* `{PackageManagerCommand}(8)` man page on your system

include::ref_downgrading-idm-packages.adoc[leveloffset=+1]

:context: {parent-context}
